version: "3.3"
services:
  mealie:
    logging:
      driver: loki
      options:
        loki-url: "http://localhost:3100/loki/api/v1/push"
    container_name: mealie
    image: hkotel/mealie:latest
    restart: unless-stopped
    ports:
            - 8090:80
    environment:
      db_type: sqlite
      TZ: Europe/Berlin
      AUTO_BACKUP_ENABLED: "true"
      #AUTO_BACKUP_ENABLED: true
      #LDAP_AUTH_ENABLED: true
      LDAP_SERVER_URL: ldap://srvdc01.egonetix.lan:7389
      LDAP_BIND_TEMPLATE: cn={},dc=egonetix,dc=lan
      #labels:
      #- com.centurylinklabs.watchtower.enable=true
    volumes:
      - /home/icke/mealie/data/:/app/data
    networks:
      mealie:
        ipv4_address: 172.26.0.2

networks:
  mealie:
    driver: bridge
    ipam:
     config:
       - subnet: 172.26.0.0/30
